Bug 608787 - CRC error on valid file
CRC error on valid file
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gzip (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Karel Klíč
Martin Cermak
Depends On: 588644
  Show dependency treegraph
Reported: 2010-06-28 12:44 EDT by Karel Klíč
Modified: 2010-11-15 08:58 EST (History)
6 users (show)

See Also:
Fixed In Version: gzip-1.3.12-18.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 588644
Last Closed: 2010-11-15 08:58:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fix from the upstream. (1.51 KB, patch)
2010-06-28 12:44 EDT, Karel Klíč
no flags Details | Diff

  None (edit)
Description Karel Klíč 2010-06-28 12:44:19 EDT
Created attachment 427457 [details]
Fix from the upstream.

+++ This bug was initially created as a clone of Bug #588644 +++

Description of problem:
gzip fails to decompress valid compressed files.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. wget http://downloads.sourceforge.net/expat/expat-2.0.1.tar.gz
2. gzip -t expat-2.0.1.tar.gz
Actual results:
Fails with "invalid compressed data--crc error"

Expected results:
Test succeeds.

Additional info:
Same file runs fine on F12 box with all updates.

--- Additional comment from stefan.sorensen@polycom.com on 2010-05-04 06:24:02 EDT ---

The build is broken by gzip-1.3.13-rsync.patch - rebuilding without solves the problem.

--- Additional comment from kklic@redhat.com on 2010-05-05 08:02:33 EDT ---

I cannot reproduce it on my machine (i686). 

`gzip -t expat-2.0.1.tar.gz` succeeds both with F-12 and F-13.

Do you use x86_64?

--- Additional comment from kklic@redhat.com on 2010-05-05 08:15:31 EDT ---

Ah, you also have i686, sorry.

I also tested it on F-13 x86_64 and `gzip -t expat-2.0.1.tar.gz` works there as well. 

Do we have the same expat-2.0.1.tar.gz?

$ md5sum expat-2.0.1.tar.gz 
ee8b492592568805593f81f8cdf2a04c  expat-2.0.1.tar.gz

--- Additional comment from stefan.sorensen@polycom.com on 2010-05-05 08:24:03 EDT ---

Yes, same md5sum. Ubuntu seems to have the same bug: https://bugs.launchpad.net/bugs/524366

--- Additional comment from kklic@redhat.com on 2010-05-10 11:31:29 EDT ---

The preferred solution for me is to remove the rsync patch. It failed to find its way to the upstream release, and now it causes problems that cannot be easily reproduced.

I'll remove that patch from Rawhide if no fix is found in reasonable time.

--- Additional comment from kklic@redhat.com on 2010-06-28 10:48:48 EDT ---

Most likely the issue was not caused by the rsync patch.
Via launchpad:

--- Additional comment from updates@fedoraproject.org on 2010-06-28 10:52:12 EDT ---

gzip-1.3.13-4.fc13 has been submitted as an update for Fedora 13.
Comment 2 RHEL Product and Program Management 2010-06-28 13:02:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 4 Martin Cermak 2010-08-30 05:54:57 EDT
I am not able to reproduce this. Neither the developer is able to do it according to [1] and to our irc communication. This was fixed according to the reporter's suggestion and tested by him [2], [3]. Can not verify, thus setting the SanityOnly flag.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=588644#c2
[2] https://bugzilla.redhat.com/show_bug.cgi?id=588644#c1
[3] https://bugzilla.redhat.com/show_bug.cgi?id=588644#c9
Comment 5 releng-rhel@redhat.com 2010-11-15 08:58:51 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.